/one-desktop-applications-post-one

Summary

  • Source repository: jef-systems/jef-one-backend

  • Source SHA: 3270463a2e6a5d905ceae779f9a588fdde3cef87

  • Source run id: 25887962221

  • Lambda function: jef-one-desktop-applications-post-one

  • HTTP method: POST

  • API path: /one-desktop-applications-post-one

  • Endpoint URL: https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-post-one

  • Payload mode: json-body

Description

  • Function: jef-one-desktop-applications-post-one

  • Module: jef-one

  • Action: post-one

  • Method: POST

  • Invocation Mode: ASYNC

  • Resource Path: /one-desktop-applications-post-one

  • Table: jef-one-desktop-applications

  • Primary Key: desktop_application_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • desktop\_application\_id: e888a8ca-0c65-44d7-af19-a15311427125

  • desktop\_application\_name: Jef One Desktop Applications - Billing

Payload Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.desktop_application_id.type": "S",
  "root.attributes.desktop_application_id.required": "True",
  "root.attributes.desktop_application_id.format": "uuidv4",
  "root.attributes.desktop_application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.desktop_application_name.type": "S",
  "root.attributes.desktop_application_name.required": "True",
  "root.attributes.desktop_application_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$"
}

Response Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

Request Payload

{
  "desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125",
  "desktop_application_name": "Jef One Desktop Applications - Billing"
}

Response

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

CMD curl

curl -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-post-one" -H "Content-Type: application/json" --data-raw "{\"desktop_application_id\": \"e888a8ca-0c65-44d7-af19-a15311427125\", \"desktop_application_name\": \"Jef One Desktop Applications - Billing\"}"

PowerShell curl

curl.exe -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-post-one" -H "Content-Type: application/json" --data-raw '{"desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125", "desktop_application_name": "Jef One Desktop Applications - Billing"}'